#ifndef _H_5FAB0B227F43800387942871486B5E93_AddTwoInts__H_
#define _H_5FAB0B227F43800387942871486B5E93_AddTwoInts__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace example_interfaces
{
    namespace srv
    {
        namespace dds_
        {
            struct  AddTwoInts_Request_
            {
                ::DDS::LongLong a_;
                ::DDS::LongLong b_;
            };

            typedef DDS_DCPSStruct_var<AddTwoInts_Request_> AddTwoInts_Request__var;
            typedef AddTwoInts_Request_& AddTwoInts_Request__out;

            struct  AddTwoInts_Response_
            {
                ::DDS::LongLong sum_;
            };

            typedef DDS_DCPSStruct_var<AddTwoInts_Response_> AddTwoInts_Response__var;
            typedef AddTwoInts_Response_& AddTwoInts_Response__out;

            struct  Sample_AddTwoInts_Request_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::example_interfaces::srv::dds_::AddTwoInts_Request_ request_;
            };

            typedef DDS_DCPSStruct_var<Sample_AddTwoInts_Request_> Sample_AddTwoInts_Request__var;
            typedef Sample_AddTwoInts_Request_& Sample_AddTwoInts_Request__out;

            struct  Sample_AddTwoInts_Response_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::example_interfaces::srv::dds_::AddTwoInts_Response_ response_;
            };

            typedef DDS_DCPSStruct_var<Sample_AddTwoInts_Response_> Sample_AddTwoInts_Response__var;
            typedef Sample_AddTwoInts_Response_& Sample_AddTwoInts_Response__out;

        }

    }

}

#endif /* _H_5FAB0B227F43800387942871486B5E93_AddTwoInts__H_ */
